//! @file psc_drv.c,v
//!
//! Copyright (c) 2004 Atmel.
//!
//! Please read file license.txt for copyright notice.
//!
//! @brief This file contains simple example for the PSC1
//!


#include <avr/io.h>
#include <avr/interrupt.h>

#include "lib_mcu\compiler.h"
#include "lib_mcu\mcu.h"
#include "lib_mcu\psc\psc_drv.h"


ISR( PSC1_EC_vect )
{

PIND|=0x80;    // just to see that interrupt is alive !

}




int main()

{
   DDRD  |= 0xFF;
   PORTD |= 0xFF;

   // PSC is on 12 BIT from 0X0000 To 0x0FFF*

   OCR1SAH = 0x00;    OCR1SAL = 0X00;
   OCR1RAH = 0X05;    OCR1RAL = 0X00;
   OCR1SBH = 0X03;    OCR1SBL = 0X80;
   OCR1RBH = 0X0F;    OCR1RBL = 0Xff;


   Psc1_use_64_mega_pll_clock();  // Use PLL as clock at 64MHz

   Enable_both_psc1_outputs();   // Enable PSC1 output
   Psc1_outputs_active_high();   // PSC1 output active is High level
   Psc1_in_1_ramp_mode();        // PSC1 in one Ramp mode



   PIM1=0x01;                    // enable IT end of cycle PSC1
   SREG=0x80;                    // enable interrupt

   Start_psc1();                 // let's go

  while(1);
}
